@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    margin: 0;
    padding: 0;
    text-decoration: none;
    box-sizing: border-box;
    list-style: none;
    font-family: "Roboto", sans-serif;
}

body {
    background-color: rgb(255, 255, 255);
}

img {
    max-width: 100%;
}

h2 {
    margin-bottom: 36px;
    text-align: center;
    font-size: 28px;
}

.container {
    padding: 64px 0;
    overflow: hidden;
}

.row {
    max-width: 1280px;
    height: 100%;
    margin: 0 auto;
    padding: 0 32px;
}

.description--para {
    max-width: 540px;
}

.logo {
    font-size: 36px;
    font-weight: bold;
    color: #2cceb1;
}

.highlight {
    color: #2cceb1;
}

/* navigation */

nav {
    background-color: #000000;
}

nav .row{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding-top: 8px;
    padding-bottom: 8px;
}

.nav__links {
    display: flex;
    align-items: center;
}

.nav__link a {
    color: #fff;
    font-weight: 500;
}

.nav__link {
    margin-left: 16px;
    position: relative;
}

nav .nav__link::after {
    position: absolute;
    content: "";
    width: 0%;
    height: 2px;
    bottom: -2px;
    left: 50%;
    transform: translateX(-50%);
    background-color: #fff;
    transition: all 300ms ease;
}

nav .nav__link:hover::after {
    width: 100%;
}

.nav__link--primary {
    background-color: #2cceb1;
    padding: 8px 24px;
    border-radius: 500px;
}

.nav__link--primary::after {
    opacity: 0;
}

.nav__link--primary:hover {
    background-color: #2aaa93;
    color: #e7e7e7;
}

/* header */

header .container {
    height: calc(100vh - 58px);
    min-height: 768px;
    max-height: 1400px;
}

header .row {
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.header__description {
    width: 50%;
    min-width: 372px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 64px;
    text-align: center;
}

.profile__img--wrapper {
    width: 140px;
    height: 140px;
    border-radius: 50%;
    overflow: hidden;
    border: 2px solid #d5e7e4;
    margin-bottom: 16px;
}

h1 {
    padding-left: 16px;
    margin-bottom: 8px;
}

.header__img--wrapper {
    max-width: 90%;
    width: 608px;
    height: 100%;
    margin-bottom: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.header__img {
    max-height: 50vh;
}

/* languages */

#languages {
    background-color: #ededed;
    text-align: center;
}

.languages__list {
    display: flex;
    align-items: center;
    justify-content: space-around;
}

.language__img--wrapper {
    width: 200px;
    margin: 0 auto;
}

.language {
    transition: all 500ms ease;
}

.language h3 {
    opacity: 0;
    transition: all 300ms ease;
}

.language:hover, .language:hover h3 {
    transform: scale(1.1);
    opacity: 1;
}

/* projects */

#projects h2 {
    text-align: center;
}

.projects__list {
    width: 100%;
    margin: 0 auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.project {
    position: relative;
    margin-bottom: 32px;
}

.project__img--wrapper {
    overflow: hidden;
    border-radius: 16px;
    display: flex;
    width: 100%;
    max-width: 700px;
    box-shadow: 0 1px 10px 1px #00000053;
}

.project__img {
    transition: all 1000ms ease;
}

.project__description {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    padding: 36px;
    background-color: #292b2ba5;
    color: white;
    border-radius: 16px;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    opacity: 0;
    transition: all 500ms ease;
}

.project:hover .project__img {
    transform: scale(1.1);
}

.project:hover .project__description {
    opacity: 1;
}

/* benefits */

#benefits {
    background-color: #ededed;
}

.benefit {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-bottom: 36px;
}

.benefit__img--wrapper {
    width: 50%;
}

.benefit__description {
    width: 40%;
}

/* about me */

#about__me .row {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.about__me__description {
    width: 50%;
    min-width: 500px;
    margin-left: 64px;
    background-color: #ededed;
    padding: 24px;
    border-radius: 16px;
}

.about__me__img--wrapper {
    width: 45%;
}

.about__me--para {
    margin-bottom: 16px;
}

/* footer */

footer {
    background-color: #000000;
}

footer .row {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    align-items: center;
}

.footer__main {
    width: 100%;
    margin-bottom: 32px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.copyright {
    color: #c1c1c1;
}

footer .nav__link a {
    font-size: 20px;
}

/* responsive design */

@media (max-width: 1080px) {
    .about__me__description {
        margin-left: 16px;
    }
}

@media (max-width: 948px) {

    #about__me .row {
        flex-direction: column;
    }

    .about__me__description {
        margin-left: 0;
        margin-top: 32px;
        width: 100%;
        max-width: 680px;
    }

    .about__me__img--wrapper {
        width: 50%;
    }
}

@media (max-width: 768px) {
    .language__img--wrapper {
        width: 80%;
    }
    .about__me__img--wrapper {
        width: 356px;
        max-width: 80%;
    }
    .about__me__description {
        min-width: 300px;
    }
    .row {
        padding: 0 16px;
    }
}

@media (max-width: 648px) {
    nav .nav__link:nth-child(1), nav .nav__link:nth-child(2) {
        display: none;
    }
    .header__description {
        min-width: 0;
        width: 100%;
    }
}

@media (max-width: 480px) {
    .project__description h3 {
        font-size: 16px;
    }
    .project--para {
        font-size: 12px;
    }
}